function [ data_meas, data_title, T_vz, meastime] = load_data( filename, endtime)
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
%% Nacteni dat
data_meas = importdata(filename);
datatype = whos('data_meas');
if strcmp(datatype.class, 'struct')
data_meas = data_meas.Sheet1;
end
%% Korekce offsetu cidel
if data_meas(:, 2)~=zeros(size(data_meas(:, 2)))
%data_meas(:, 2) = data_meas(:, 2) + 11;
end
if data_meas(:, 3)~=zeros(size(data_meas(:, 3)))
%data_meas(:, 3) = data_meas(:, 3) + 2;
end
if data_meas(:, 4)~=zeros(size(data_meas(:, 4)))
%data_meas(:, 4) = data_meas(:, 4) + 2;
end
if data_meas(:, 6)~=zeros(size(data_meas(:, 6)))
data_meas(:, 6) = data_meas(:, 6) + 17;
end
if data_meas(:, 7)~=zeros(size(data_meas(:, 7)))
data_meas(:, 7) = data_meas(:, 7) + 20;
end
if data_meas(:, 8)~=zeros(size(data_meas(:, 8)))
data_meas(:, 8) = data_meas(:, 8) + 18;
end
if data_meas(:, 9)~=zeros(size(data_meas(:, 9)))
data_meas(:, 9) = data_meas(:, 9) + 16;
end
%% Usporadani a prumerovani dat z cidel
data_meas(:, 3) = (data_meas(:, 3) + data_meas(:, 4))*0.5;
data_meas(:, 4) = (data_meas(:, 7) + data_meas(:, 8))*0.5;
data_meas(:, 5) = data_meas(:, 6);
data_meas(:, 6) = data_meas(:, 9);
data_meas(:, 7) = data_meas(:, 10);
data_meas(:, 8) = data_meas(:, 12);
data_meas(:, 2:7) = data_meas(:, 2:7).*0.1;
data_meas = data_meas(:, 1:8);

%% Popisky dat
data_title =  {'Cas', 'T komora', 'T vymenik', 'T vzduch za vymenikem', 'T chladici in', 'T chladici out', 'T chladici nadrz', 'Relativni vlhkost'};

%% Korekce chyby metody mereni

T0 = data_meas(1, :);
T_chladici_vym = 10.3725;
T_vymenik = 6.9528;

data_meas(:, 5) = (data_meas(:, 5)-T0(5))/(T_chladici_vym-T0(5))*(T_vymenik-T0(5))+T0(5);
data_meas(:, 6) = (data_meas(:, 6)-T0(6))/(T_chladici_vym-T0(6))*(T_vymenik-T0(6))+T0(6);
data_meas(:, 8) = data_meas(:, 8)/100;
T_vz = data_meas(2, 1) - data_meas(1, 1);

if endtime ~= 0
    [i, ~] = find(data_meas(:, 1) >= endtime);
    data_meas = data_meas(1:i(1), :);
end
meastime = data_meas(end, 1);

%% Vymazání nesmyslných dat
[~, width] = size(data_meas);
for i = 2:width
    if (~isempty(find(data_meas(:, i)>80, 1))) || (~isempty(find(data_meas(:, i)<-10, 1)))
        data_meas(:, i) = zeros(size(data_meas(:, i)));
    end
end

end

